Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom.output
Class DOMOutputter

    java.lang.Object
      |
      +--org.jdom.output.DOMOutputter

public class DOMOutputter
extends Object

Takes a JDOM tree and outputs to a DOM tree.

Version:
  1.0
Author:
  Brett McLaughlin, Jason Hunter, Matthew Merlo, Dan Schaffer, Yusuf Goolamabbas

Constructor Summary
`DOMOutputter()` This creates a new DOMOutputter which will attempt to first locate a DOM implementation to use via JAXP, and if JAXP does not exist or there's a problem, will fall back to the default parser.
`DOMOutputter(String adapterClass)` This creates a new DOMOutputter using the specified DOMAdapter implementation as a way to choose the underlying parser.

Method Summary
`Attr` | `output(Attribute attribute)` This converts the JDOM `Attribute` parameter to a DOM `Attr`, returning the DOM version.
`protected Attr` | `output(Attribute attribute, Document domDoc)`
`Document` | `output(Document document)` This converts the JDOM `Document` parameter to a DOM Document, returning the DOM version.
`Element` | `output(Element element)` This converts the JDOM `Element` parameter to a DOM Element, returning the DOM version.
`protected Element` | `output(Element element, Document domDoc, org.jdom.output.NamespaceStack namespaces)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMOutputter

    public DOMOutputter()

  This creates a new DOMOutputter which will attempt to first locate a DOM implementation to use via JAXP, and if JAXP does not exist or there's a problem, will fall back to the default parser.

### DOMOutputter

    public DOMOutputter(String adapterClass)

  This creates a new DOMOutputter using the specified DOMAdapter implementation as a way to choose the underlying parser.

  Parameters:
    `adapterClass` - `String` name of class to use for DOM output

Method Detail

### output

    public Document output(Document document)
                    throws JDOMException

  This converts the JDOM `Document` parameter to a DOM Document, returning the DOM version. The DOM implementation is the one chosen in the constructor.

  Parameters:
    `document` - `Document` to output.
  Returns:
    an `org.w3c.dom.Document` version

### output

    public Element output(Element element)
                   throws JDOMException

  This converts the JDOM `Element` parameter to a DOM Element, returning the DOM version.

  Parameters:
    `element` - `Element` to output.
  Returns:
    an `org.w3c.dom.Element` version

### output

    protected Element output(Element element,
                             Document domDoc,
                             org.jdom.output.NamespaceStack namespaces)
                      throws JDOMException

### output

    public Attr output(Attribute attribute)
                throws JDOMException

  This converts the JDOM `Attribute` parameter to a DOM `Attr`, returning the DOM version.

  Parameters:
    `attribute` - `Attribute` to output.
  Returns:
    an `org.w3c.dom.Attr` version

### output

    protected Attr output(Attribute attribute,
                          Document domDoc)
                   throws JDOMException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Jason Hunter, Brett McLaughlin. All Rights Reserved.